%define name checkservice
%define ver 1.2.0
%define rel 3

Summary: Checks the status of services on (remote) hosts
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Applications/System
Source: http://www.linvision.com/checkservice/files/%{name}-%{ver}.tar.gz
Buildroot: /%{_tmppath}/%{name}-root
Requires: perl >= 5.6.0-3

%description
Checkservice is able to show the results in many ways: by keeping
logs or showing it on a PHP webinterface. Checkservice can also
generate output suitable for MRTG. 
Checkservices uses plugins to check the service more thoroughly than
just a portscan.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/checkservice/hosts
mkdir -p $RPM_BUILD_ROOT/usr/lib/checkservice
mkdir -p $RPM_BUILD_ROOT/etc/cron.d
mkdir -p $RPM_BUILD_ROOT/usr/man/man1 
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/share/perl
mkdir -p $RPM_BUILD_ROOT/var/log/checkservice
mkdir -p $RPM_BUILD_ROOT/var/lock/checkservice
mkdir -p $RPM_BUILD_ROOT/var/cache/checkservice 
mkdir -p $RPM_BUILD_ROOT/tmp

cp -a `pwd`/config/* $RPM_BUILD_ROOT/etc/checkservice/
cp -a `pwd`/localhost $RPM_BUILD_ROOT/etc/checkservice/hosts/
cp `pwd`/checkservice $RPM_BUILD_ROOT/usr/sbin/
cp -a `pwd`/plugins/* $RPM_BUILD_ROOT/usr/lib/checkservice/
cp `pwd`/cron/checkservice  $RPM_BUILD_ROOT/etc/cron.d/
cp `pwd`/man/checkservice.1 $RPM_BUILD_ROOT/usr/man/man1/
cp `pwd`/man/checkservice.5 $RPM_BUILD_ROOT/usr/man/man5/
cp -a `pwd`/lib/CS $RPM_BUILD_ROOT/tmp

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root, root)
%config(noreplace) /etc/checkservice/hosts/localhost 
%config(noreplace) /etc/checkservice/plugins/warning/sms.conf
%config(noreplace) /etc/checkservice/plugins/warning/smsnet.conf
%config(noreplace) /etc/checkservice/checkservice.conf 
%config(noreplace) /etc/checkservice/statuspage.conf
%config(noreplace) /etc/checkservice/successful.mail
%config(noreplace) /etc/checkservice/failed.mail
%config(noreplace) /etc/checkservice/unreachable.mail
%config(noreplace) /etc/checkservice/timeout.mail
%config(noreplace) /etc/cron.d/checkservice
%dir /var/log/checkservice
%dir /var/lock/checkservice
%dir /var/cache/checkservice
%doc COPYING CREDITS README INSTALL CS2 ChangeLog checkservice.php
/usr/sbin/checkservice
/usr/lib/checkservice/*
/tmp/CS/*
/usr/man/man1/*
/usr/man/man5/*

%post
eval `perl '-V:installarchlib'`
`mv -f /tmp/CS $installarchlib`

%changelog
* Thu Sep  5 2002 Richard de Vroede <r.devroede@linvision.com>
- New upstream release
* Fri Dec 15 2000 Paul van Tilburg <paul@linvision.com>
- New upstream release
* Thu Sep 28 2000 Paul van Tilburg <paul@linvision.com>
- New upstream release
* Tue Aug 29 2000 Paul van Tilburg <paul@linvision.com>
- New upstream release
* Fri Aug 25 2000 Paul van Tilburg <paul@linvision.com>
- New upstream release
* Thu Aug 03 2000 Paul van Tilburg <paul@linvision.com>
- New upstream release
* Tue Aug 02 2000 R P Herrold <herrold@owlriver.com.com>
- Conform to RH 3.0.5/4.0.x -- rel 6.2 and following 'enhancements'
 -- get the compressed man pages
 -- plugins were inadventently omitted
* Tue Aug 01 2000 Paul van Tilburg <paul@linvision.com>
- New upstream release
* Mon Jul 31 2000 Paul van Tilburg <paul@linvision.com>
- New upstream release
* Fri Jul 07 2000 Paul van Tilburg <paul@linvision.com>
- New upstream release
* Thu Jun 29 2000 Paul van Tilburg <paul@linvision.com>
- Some fixes in the package, missing templates.
* Tue Jun  6 2000 Paul van Tilburg <paul@luon.net>
- Added manpages and the php3 stats page.
- Fixed errors with failurecache and /var/lock/checkservice
* Tue Jun  6 2000 Paul van Tilburg <paul@luon.net>
- Initial build.
